<div class="login-container">
  <header>
    <h1 class="heading">Foxandonestats</h1>
    <h3 class="title">Best NBA stats</h3>
  </header>
  
  <!-- container div -->
  <div class="container">
  
    <!-- upper button section to select
         the login or signup form -->
    <div [ngClass]="loginSignupToggle ? 'moveslider' : null" class="slider"></div>
    <div class="btn">
        <button (click)="setLoginSignupToggleFalse()" class="login">Login</button>
        <button  (click)="setLoginSignupToggleTrue()" class="signup">Signup</button>
    </div>

    <!-- <div [ngStyle]="{'visibility': loginSignupToggle ? 'hidden' : null}" class="guest-button"> -->
    <div class="guest-button">
      <button pButton pRipple (click)="enterAsGuest()" class="clkbtn">Enter as guest</button>
    </div>
    
    <!-- Form section that contains the
      login and the signup form -->
      <div [ngClass]="loginSignupToggle ? 'form-section-move' : null" class="form-section">
        
        <!-- login form -->
        <form [formGroup]="loginPageForm">
            <div class="login-box">
            <div class="field">
              <label class="error-msg" for="user">Username</label> 
              <input type="email" pInputText
              class="email ele"
              placeholder="Username"
              formControlName="username"
              id="user"
              name="user">
              <small class="p-error error-msg" *ngIf="loginPageForm.controls['username'].errors && loginPageForm.controls['username'].touched">Username is required.</small>
            </div>

            <div class="field">
              <label class="error-msg"  for="pass">Password</label>    
              <input type="password" pInputText
                    class="password ele"
                    placeholder="Password"
                    formControlName="password"
                    id="pass"
                    name="pass">
              <small class="p-error error-msg" *ngIf="loginPageForm.controls['password'].errors && loginPageForm.controls['password'].touched">Password is required.</small>
            </div>
              <button pButton pRipple (click)="onLogin()" class="clkbtn">Login</button>
          </div>
        </form>
  
        <!-- signup form -->
        <form [formGroup]="registerPageForm">
          <div class="login-box">
          <div class="field">
            <label class="error-msg" for="userReg">Username</label> 
            <input type="email" pInputText
            class="email ele"
            placeholder="Username"
            formControlName="username"
            id="userReg"
            name="userReg">
            <small class="p-error error-msg" *ngIf="registerPageForm.controls['username'].errors && registerPageForm.controls['username'].touched">Username is required.</small>
          </div>

          <div class="field">
            <label class="error-msg"  for="passReg">Password</label>    
            <input type="password" pInputText
                  class="password ele"
                  placeholder="Password"
                  formControlName="password"
                  id="passReg"
                  name="passReg">
            <small class="p-error error-msg" *ngIf="registerPageForm.controls['password'].errors && registerPageForm.controls['password'].touched">Password is required.</small>
          </div>
            <button pButton pRipple (click)="register()" class="clkbtn">Signup</button>
        </div>
      </form>
        <!-- <div class="signup-box">
            <input type="text"
                   class="name ele"
                   placeholder="Enter your name">
            <input type="email"
                   class="email ele"
                   placeholder="youremail@email.com">
            <input type="password"
                   class="password ele"
                   placeholder="password">
            <input type="password"
                   class="password ele"
                   placeholder="Confirm password">
            <button class="clkbtn">Signup</button>
        </div> -->
    </div>
  </div>
</div>

<div *ngIf="(loaderService.isLoading$ | async)" class="spinner-overlay">
  <p-progressSpinner class="spinner"></p-progressSpinner>
</div>

<p-toast [breakpoints]="{'768px': {width: '90%'}}"></p-toast>
